aboutsummaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/zope-componentvocabulary/Manifest1
-rw-r--r--dev-python/zope-componentvocabulary/metadata.xml18
-rw-r--r--dev-python/zope-componentvocabulary/zope-componentvocabulary-2.3.0.ebuild52
3 files changed, 71 insertions, 0 deletions
diff --git a/dev-python/zope-componentvocabulary/Manifest b/dev-python/zope-componentvocabulary/Manifest
new file mode 100644
index 0000000..1bca6dc
--- /dev/null
+++ b/dev-python/zope-componentvocabulary/Manifest
@@ -0,0 +1 @@
+DIST zope-componentvocabulary-2.3.0.gh.tar.gz 10594 BLAKE2B 13b62bb7e2ecdec59daa3e95726ef826be2729cdec0e0df06866dc5224efad199078ed92cd0d1b8c4ad73206da16ef804ae93ca8f75d037dbd66cfa435aa861e SHA512 484085dbd2e2ea12667d2f9e735ff9f30c47c402d3eab962060b90b005a6be3679953d5901a7bded591b08b3306c13bf9549d1787882d26d98be5731f681a0ba
diff --git a/dev-python/zope-componentvocabulary/metadata.xml b/dev-python/zope-componentvocabulary/metadata.xml
new file mode 100644
index 0000000..de7b1b7
--- /dev/null
+++ b/dev-python/zope-componentvocabulary/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <name>Julien Roy</name>
+ <email>julien@jroy.ca</email>
+ </maintainer>
+ <upstream>
+ <maintainer>
+ <name>Zope Foundation and Contributors</name>
+ <email>zope-dev@zope.org</email>
+ </maintainer>
+ <bugs-to>https://github.com/zopefoundation/zope.componentvocabulary/issues</bugs-to>
+ <changelog>https://github.com/zopefoundation/zope.componentvocabulary/blob/master/CHANGES.rst</changelog>
+ <remote-id type="github">zopefoundation/zope.componentvocabulary</remote-id>
+ <remote-id type="pypi">zope.componentvocabulary</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/zope-componentvocabulary/zope-componentvocabulary-2.3.0.ebuild b/dev-python/zope-componentvocabulary/zope-componentvocabulary-2.3.0.ebuild
new file mode 100644
index 0000000..10bc4c5
--- /dev/null
+++ b/dev-python/zope-componentvocabulary/zope-componentvocabulary-2.3.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Component vocabularies"
+HOMEPAGE="https://github.com/zopefoundation/zope.componentvocabulary"
+SRC_URI="https://github.com/zopefoundation/zope.componentvocabulary/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${PN/-/\.}-${PV}"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64"
+# Zope Testrunner
+RESTRICT="test"
+
+RDEPEND="
+ dev-python/zope-component[${PYTHON_USEDEP}]
+ dev-python/zope-i18nmessageid[${PYTHON_USEDEP}]
+ dev-python/zope-interface[${PYTHON_USEDEP}]
+ dev-python/zope-schema[${PYTHON_USEDEP}]
+ dev-python/zope-security[${PYTHON_USEDEP}]
+ test? (
+ dev-python/zope-configuration[${PYTHON_USEDEP}]
+ dev-python/zope-testing[${PYTHON_USEDEP}]
+ dev-python/zope-testrunner[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # strip rdep specific to namespaces
+ sed -i -e "/'setuptools'/d" setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+src_test() {
+ cd "${S}/src/zope/untrustedpython" || die
+ distutils-r1_src_test
+}